import { jsx } from "@builder.io/qwik/jsx-runtime";
import { component$ } from "@builder.io/qwik";
const Textarea = component$((props) => {
  return /* @__PURE__ */ jsx("textarea", {
    ...props.attributes,
    placeholder: props.placeholder,
    name: props.name,
    value: props.value,
    defaultValue: props.defaultValue,
    required: props.required
  });
});
export {
  Textarea,
  Textarea as default
};
