"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const getBlockActions = require("../../../functions/get-block-actions.qwik.cjs");
const getBlockProperties = require("../../../functions/get-block-properties.qwik.cjs");
const dynamicRenderer = require("../../dynamic-renderer/dynamic-renderer.qwik.cjs");
const qwik = require("@builder.io/qwik");
const BlockWrapper = qwik.component$((props) => {
  return /* @__PURE__ */ jsxRuntime.jsx(dynamicRenderer.DynamicRenderer, {
    TagName: props.Wrapper,
    attributes: getBlockProperties.getBlockProperties({
      block: props.block,
      context: props.context
    }),
    actionAttributes: getBlockActions.getBlockActions({
      block: props.block,
      rootState: props.context.rootState,
      rootSetState: props.context.rootSetState,
      localState: props.context.localState,
      context: props.context.context,
      stripPrefix: true
    }),
    children: /* @__PURE__ */ jsxRuntime.jsx(qwik.Slot, {})
  });
});
exports.BlockWrapper = BlockWrapper;
exports.default = BlockWrapper;
