import { jsx } from "@builder.io/qwik/jsx-runtime";
import { DynamicRenderer } from "../../components/dynamic-renderer/dynamic-renderer.qwik.mjs";
import { getClassPropName } from "../../functions/get-class-prop-name.qwik.mjs";
import { component$ } from "@builder.io/qwik";
const attrs = function attrs2(props, state) {
  return {
    ...props.attributes,
    [getClassPropName()]: `${props.link ? "" : "builder-button"} ${props.attributes[getClassPropName()] || ""}`,
    ...props.link ? {
      href: props.link,
      target: props.openLinkInNewTab ? "_blank" : void 0,
      role: "link"
    } : {
      role: "button"
    }
  };
};
const Button = component$((props) => {
  return /* @__PURE__ */ jsx(DynamicRenderer, {
    attributes: attrs(props),
    TagName: props.link ? props.builderLinkComponent || "a" : "button",
    actionAttributes: {},
    children: props.text
  });
});
export {
  Button,
  attrs,
  Button as default
};
