import { BuilderBlock } from "../../types/builder-block";
export type BlocksWrapperProps = {
    blocks: BuilderBlock[] | undefined;
    parent: string | undefined;
    path: string | undefined;
    styleProp: Record<string, any> | undefined;
    /**
     * The element that wraps each list of blocks. Defaults to a `div` element ('ScrollView' in React Native).
     */
    BlocksWrapper: any;
    /**
     * Additonal props to pass to `blocksWrapper`. Defaults to `{}`.
     */
    BlocksWrapperProps: any;
    children?: any;
};
export declare const onClick: (props: any, state: any, className: any, blocksWrapperRef: any) => void;
export declare const onMouseEnter: (props: any, state: any, className: any, blocksWrapperRef: any) => void;
export declare const BlocksWrapper: import("@builder.io/qwik").Component<BlocksWrapperProps>;
export default BlocksWrapper;
export declare const STYLES = "\n.props-blocks-wrapper-BlocksWrapper {\n  display: flex;\n  flex-direction: column;\n  align-items: stretch;\n}\n";
