"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const dynamicRenderer = require("../../components/dynamic-renderer/dynamic-renderer.qwik.cjs");
const getClassPropName = require("../../functions/get-class-prop-name.qwik.cjs");
const qwik = require("@builder.io/qwik");
const attrs = function attrs2(props, state) {
  return {
    ...props.attributes,
    [getClassPropName.getClassPropName()]: `${props.link ? "" : "builder-button"} ${props.attributes[getClassPropName.getClassPropName()] || ""}`,
    ...props.link ? {
      href: props.link,
      target: props.openLinkInNewTab ? "_blank" : void 0,
      role: "link"
    } : {
      role: "button"
    }
  };
};
const Button = qwik.component$((props) => {
  return /* @__PURE__ */ jsxRuntime.jsx(dynamicRenderer.DynamicRenderer, {
    attributes: attrs(props),
    TagName: props.link ? props.builderLinkComponent || "a" : "button",
    actionAttributes: {},
    children: props.text
  });
});
exports.Button = Button;
exports.attrs = attrs;
exports.default = Button;
