"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const builder_context = require("../../../context/builder.context.qwik.cjs");
const block = require("../block.qwik.cjs");
const qwik = require("@builder.io/qwik");
const RepeatedBlock = qwik.component$((props) => {
  const state = qwik.useStore({
    store: props.repeatContext
  });
  qwik.useContextProvider(builder_context, state.store);
  return /* @__PURE__ */ jsxRuntime.jsx(block.default, {
    block: props.block,
    context: state.store,
    registeredComponents: props.registeredComponents,
    linkComponent: props.linkComponent
  });
});
exports.RepeatedBlock = RepeatedBlock;
exports.default = RepeatedBlock;
