"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const inlinedStyles = require("../../inlined-styles.qwik.cjs");
const styles_helpers = require("./styles.helpers.qwik.cjs");
const qwik = require("@builder.io/qwik");
const ContentStyles = qwik.component$((props) => {
  const state = qwik.useStore({
    injectedStyles: `
${styles_helpers.getCss({
      cssCode: props.cssCode,
      contentId: props.contentId
    })}
${styles_helpers.getFontCss({
      customFonts: props.customFonts
    })}
${styles_helpers.getDefaultStyles(props.isNestedRender)}
`.trim()
  });
  return /* @__PURE__ */ jsxRuntime.jsx(inlinedStyles.InlinedStyles, {
    id: "builderio-content",
    styles: state.injectedStyles,
    nonce: props.nonce
  });
});
exports.ContentStyles = ContentStyles;
exports.default = ContentStyles;
