"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const evaluate = require("./evaluate/evaluate.qwik.cjs");
function createEventHandler(value, options) {
  return qwik.$((event) => evaluate.evaluate({
    code: value,
    context: options.context,
    localState: options.localState,
    rootState: options.rootState,
    rootSetState: options.rootSetState,
    event,
    enableCache: true
  }));
}
exports.createEventHandler = createEventHandler;
