import { jsx } from "@builder.io/qwik/jsx-runtime";
import { component$, Slot } from "@builder.io/qwik";
const SectionComponent = component$((props) => {
  return /* @__PURE__ */ jsx("section", {
    ...props.attributes,
    style: {
      width: "100%",
      alignSelf: "stretch",
      flexGrow: 1,
      boxSizing: "border-box",
      maxWidth: props.maxWidth || 1200,
      display: "flex",
      flexDirection: "column",
      alignItems: "stretch",
      marginLeft: "auto",
      marginRight: "auto"
    },
    children: /* @__PURE__ */ jsx(Slot, {})
  });
});
export {
  SectionComponent,
  SectionComponent as default
};
