import { jsx, Fragment } from "@builder.io/qwik/jsx-runtime";
import { isEmptyElement } from "./dynamic-renderer.helpers.qwik.mjs";
import { component$, Slot } from "@builder.io/qwik";
const DynamicRenderer = component$((props) => {
  return /* @__PURE__ */ jsx(Fragment, {
    children: !isEmptyElement(props.TagName) ? typeof props.TagName === "string" ? /* @__PURE__ */ jsx(props.TagName, {
      ...props.attributes,
      ...props.actionAttributes,
      children: /* @__PURE__ */ jsx(Slot, {})
    }) : /* @__PURE__ */ jsx(props.TagName, {
      ...props.attributes,
      ...props.actionAttributes,
      children: /* @__PURE__ */ jsx(Slot, {})
    }) : /* @__PURE__ */ jsx(props.TagName, {
      ...props.attributes,
      ...props.actionAttributes
    })
  });
});
export {
  DynamicRenderer,
  DynamicRenderer as default
};
