import { $ } from "@builder.io/qwik";
import { evaluate } from "./evaluate/evaluate.qwik.mjs";
function createEventHandler(value, options) {
  return $((event) => evaluate({
    code: value,
    context: options.context,
    localState: options.localState,
    rootState: options.rootState,
    rootSetState: options.rootSetState,
    event,
    enableCache: true
  }));
}
export {
  createEventHandler
};
