const validEnvList = [
  "production",
  "qa",
  "test",
  "development",
  "dev",
  "cdn-qa",
  "cloud",
  "fast",
  "cdn2",
  "cdn-prod"
];
const getEnv = () => {
  const env = process.env.NODE_ENV || "production";
  return validEnvList.includes(env) ? env : "production";
};
export {
  getEnv,
  validEnvList
};
