"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const search = require("../helpers/search/search.qwik.cjs");
const isBrowser = require("./is-browser.qwik.cjs");
function isPreviewing(_search) {
  const search$1 = _search || (isBrowser.isBrowser() ? window.location.search : void 0);
  if (!search$1) {
    return false;
  }
  const normalizedSearch = search.getSearchString(search$1);
  return Boolean(normalizedSearch.indexOf("builder.preview=") !== -1);
}
exports.isPreviewing = isPreviewing;
