"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const qwik = require("@builder.io/qwik");
const Textarea = qwik.component$((props) => {
  return /* @__PURE__ */ jsxRuntime.jsx("textarea", {
    ...props.attributes,
    placeholder: props.placeholder,
    name: props.name,
    value: props.value,
    defaultValue: props.defaultValue,
    required: props.required
  });
});
exports.Textarea = Textarea;
exports.default = Textarea;
