"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const target = require("./target.qwik.cjs");
const SDK_NAME_FOR_TARGET = (() => {
  switch (target.TARGET) {
    case "rsc":
      return "react-nextjs";
    case "reactNative":
      return "react-native";
    default:
      return target.TARGET;
  }
})();
const SDK_NAME = `@builder.io/sdk-${SDK_NAME_FOR_TARGET}`;
exports.SDK_NAME = SDK_NAME;
