import { TARGET } from "./target.qwik.mjs";
const SDK_NAME_FOR_TARGET = (() => {
  switch (TARGET) {
    case "rsc":
      return "react-nextjs";
    case "reactNative":
      return "react-native";
    default:
      return TARGET;
  }
})();
const SDK_NAME = `@builder.io/sdk-${SDK_NAME_FOR_TARGET}`;
export {
  SDK_NAME
};
