import { isBrowser } from "@builder.io/qwik/build";
import { runInBrowser } from "./browser-runtime/browser.qwik.mjs";
import { runInNode } from "./node-runtime/node-runtime.qwik.mjs";
import { shouldForceBrowserRuntimeInNode } from "./should-force-browser-runtime-in-node.qwik.mjs";
const chooseBrowserOrServerEval = (args) => isBrowser || shouldForceBrowserRuntimeInNode({
  shouldLogWarning: true
}) ? runInBrowser(args) : runInNode(args);
export {
  chooseBrowserOrServerEval
};
